Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.forms
Class ProtegeFormsNames

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.forms.ProtegeFormsNames

    public class ProtegeFormsNames

extends Object

Vocabulary definitions from file:/C:/protege-owl/owl/schemagen-temp.owl

Author:
  Auto-generated by schemagen on 27 Oct 2005 15:05

Field Summary
`static String` | `ABSOLUTE_FORMS_FILENAME`
`static String` | `ABSOLUTE_FORMS_ONTOLOGY`
`static String` | `FORMS_FILENAME`
`static String` | `FORMS_ONTOLOGY`
`static String` | `FORMS_RELATIVE_DIR`
`static com.hp.hpl.jena.ontology.OntClass` | `HeaderWidget`
`static com.hp.hpl.jena.ontology.DatatypeProperty` | `javaClassName`
`static com.hp.hpl.jena.ontology.OntClass` | `MultiLiteralWidget`
`static com.hp.hpl.jena.ontology.OntClass` | `MultiResourceWidget`
`static String` | `NAME`
`static com.hp.hpl.jena.rdf.model.Resource` | `NAMESPACE` The namespace of the vocabulary as a resource
`static String` | `NS` The namespace of the vocabulary as a string
`static com.hp.hpl.jena.ontology.OntClass` | `OWLDatatypePropertyTypesWidget`
`static com.hp.hpl.jena.ontology.OntClass` | `OWLDomainWidget`
`static com.hp.hpl.jena.ontology.OntClass` | `OWLObjectPropertyTypesWidget`
`static com.hp.hpl.jena.ontology.OntClass` | `OWLRangeWidget`
`static String` | `PROTEGE_FORMS_FILENAME`
`static String` | `PROTEGE_FORMS_ONTOLOGY`
`static com.hp.hpl.jena.ontology.OntClass` | `RDFPropertyTypesWidget`
`static com.hp.hpl.jena.ontology.OntClass` | `SingleLiteralWidget`
`static com.hp.hpl.jena.ontology.OntClass` | `SingleResourceWidget`

Constructor Summary
`ProtegeFormsNames()`

Method Summary
`static String` | `getURI()` The namespace of the vocabulary as a string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final String NS

  The namespace of the vocabulary as a string

  See Also:
    Constant Field Values

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### PROTEGE_FORMS_ONTOLOGY

    public static final String PROTEGE_FORMS_ONTOLOGY

See Also:
  Constant Field Values

### ABSOLUTE_FORMS_ONTOLOGY

    public static final String ABSOLUTE_FORMS_ONTOLOGY

See Also:
  Constant Field Values

### FORMS_ONTOLOGY

    public static final String FORMS_ONTOLOGY

See Also:
  Constant Field Values

### FORMS_RELATIVE_DIR

    public static final String FORMS_RELATIVE_DIR

See Also:
  Constant Field Values

### PROTEGE_FORMS_FILENAME

    public static final String PROTEGE_FORMS_FILENAME

See Also:
  Constant Field Values

### ABSOLUTE_FORMS_FILENAME

    public static final String ABSOLUTE_FORMS_FILENAME

See Also:
  Constant Field Values

### FORMS_FILENAME

    public static final String FORMS_FILENAME

See Also:
  Constant Field Values

### NAMESPACE

    public static final com.hp.hpl.jena.rdf.model.Resource NAMESPACE

  The namespace of the vocabulary as a resource

### javaClassName

    public static final com.hp.hpl.jena.ontology.DatatypeProperty javaClassName

### HeaderWidget

    public static final com.hp.hpl.jena.ontology.OntClass HeaderWidget

### SingleResourceWidget

    public static final com.hp.hpl.jena.ontology.OntClass SingleResourceWidget

### OWLRangeWidget

    public static final com.hp.hpl.jena.ontology.OntClass OWLRangeWidget

### MultiLiteralWidget

    public static final com.hp.hpl.jena.ontology.OntClass MultiLiteralWidget

### OWLDatatypePropertyTypesWidget

    public static final com.hp.hpl.jena.ontology.OntClass OWLDatatypePropertyTypesWidget

### SingleLiteralWidget

    public static final com.hp.hpl.jena.ontology.OntClass SingleLiteralWidget

### OWLDomainWidget

    public static final com.hp.hpl.jena.ontology.OntClass OWLDomainWidget

### MultiResourceWidget

    public static final com.hp.hpl.jena.ontology.OntClass MultiResourceWidget

### RDFPropertyTypesWidget

    public static final com.hp.hpl.jena.ontology.OntClass RDFPropertyTypesWidget

### OWLObjectPropertyTypesWidget

    public static final com.hp.hpl.jena.ontology.OntClass OWLObjectPropertyTypesWidget

Constructor Detail

### ProtegeFormsNames

    public ProtegeFormsNames()

Method Detail

### getURI

    public static String getURI()

  The namespace of the vocabulary as a string

  See Also:
    `NS`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.